Subject: Re: Quota on imapd

From: "Marco Antonio V. Assad" <[email-masked]>
Date: Thu, 3 Aug 2000 14:17:01 -0300

>
> On Thu, 3 Aug 2000, Marco Antonio V. Assad wrote:
>
> > Thanks, I created the file /etc/c-client with a line "set
new-folder-format
> > mbx", set up sendmail to deliver through tmail as stated in the man page
and
> > everything seems to be running ok now. But there are still two minor
> > problems.
> >
> > First, it can't deliver mail to root. It logs the following:
> > Aug  3 12:09:27 lx2 tmail[1409]: mail to root prohibited
> >
>
> yeah, that happens to me too.....
>
> what happens if you take away the setuid permission now that you don't
> need the -I thing anymore?
>

If I do that, tmail simply doesn't deliver the message, logging the
following:
Aug  3 14:09:39 lx2 tmail[1512]: unable to log in UID 501 from UID 8
Aug  3 14:09:39 lx2 tmail[1512]: error in delivery

> > Second, when the quota for a user expires, the message stays in the
queue
> > until a timeout. Can't it return immediately to the sender as like
procmail
> > does?
> >
>
>
> hmmmmmmm,
>
> well, the way sendmail decides how what to do after a local delivery
> attempt is to check the exit code of the tmail ( or procmail ) program.
> There is a certain exit code that local deliverers should use to signal
> sendmail that the users quota is full, and sendmail should send the mail
> back. I think the sendmail people specify these codes, and anybody who
> makes a local mailer is supposed to adhere to them. The tmail man page
> affirms that it does adhere to these codes.
>
> how long is the timeout? If it is just the time that sendmail waits to do
> the next run through the queue, then i guess this is pretty normal, you
> can shorten it by running sendmail with a shorter time for checking the
> queue...
>

The timeout is what the clause "Timeout.queuereturn" in sendmail.cf states.

> /usr/sbin/sendmail -bd -q10m
>
>
> is for 10 minutes........
>